// daqlogpoller.cpp : Defines the entry point for the console application.
//

#include<iostream>
#include<fstream>
#include<string>
#include<vector>
//#include<time.h>//for high cpu load sleep function
#include<windows.h>//for low cpu load sleep function
using namespace std;




//reads every line from a log file into a vector of strings
void readlogfile(string filename, vector<string>& filelist){
	ifstream logfile(filename.data());
	string tempstring;
	filelist.clear();
	while(logfile.good()){
		getline(logfile,tempstring,'\n');
		if(logfile.good()) filelist.insert(filelist.end(),tempstring);
	}//end if
	logfile.close();
}//end readlogfile






// Pauses for a specified number of milliseconds.
//this function works, but maxes out to 100% cpu load
//while polling the clock; this must be replaced
/*void sleep( clock_t wait )
{
   clock_t goal;
   goal = wait + clock();
   while( goal > clock() )
      ;
}*/





int main(int argc, char* argv[]){
	string commandline;
	vector<string> daqlog;
	vector<string> analysislog;
	ofstream analysislogfile;
	bool found;

	while(1){
		cout << "\npolling log files...";

		readlogfile("daqlog.txt",daqlog);
		readlogfile("analysislog.txt",analysislog);

		//try to find each daqlog entry in analysislog
		//if not found, run a command
		for(unsigned int d=0; d < daqlog.size(); d++){
			found = false;
			for(unsigned int a=0; a < analysislog.size(); a++){
				if(daqlog[d] == analysislog[a]){
					found = true;
					break;
				}//end if
			}//end for
			if(!found){
				cout << "determined " << daqlog[d] << " needs to be analyzed.\n";
				commandline = "ae \"";
				commandline.append(daqlog[d]);
				commandline.append("\"");
				cout << "exec: " << commandline << endl;
				system(commandline.data());
				analysislogfile.open("analysislog.txt",ios::app);
				analysislogfile << daqlog[d] << "\n";
				analysislogfile.close();
			}//end if
		}//end for

		cout << "done. Next refresh in 60 seconds.\n";
		Sleep(60000);//60 sec
	}//end while

	return 0;
}//end main

