#ifndef guitest_h
#define guitest_h

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>

#include"../../ae/ae/ae.h"
#include"../../slae/slae/slae.h"

static Fl_Window *window;
static Fl_Text_Buffer* logbuffer;

static time_t currenttime;
static string logtext;

static string loadeddatafile;
static ifstream infile;
static float sclscanrate;


void generatePDFreport(void*);
void loadinputfiles(void*);
void loadaeconfigcsv(void);
void loaddamagesumcsv(void);
void loadstatslogcsv(void);
void plottrend(string type);
void displaygagelocationdrawing(void);
void plotchannels(string, string);
void slowbutton(void);
void medbutton(void);
void fastbutton(void);
void logtimestamp(void);
void logoutput(string);
void calligor(int);

#endif

