//loadsclfilewithigor - lastupdate: 200610221446

#include<iostream>
#include<string>
using namespace std;



//opens the scl file in IGOR
//nswccd65igor macros required
void calligor(string datafilename){

	//change \ in filename to :
	for(unsigned int i=0; i < datafilename.size(); i++)
		if(datafilename[i] == '\\')datafilename[i] = ':';

	//load IGOR and call loadGenericSCL macro on the data file
	string command = "start /b Igor.exe /X \"loadGenericSCLFileSP4BHBF(\"";
	command.append(datafilename);
	command.append("\")\"");
	cout << command << endl;
	system(command.data());

}//end calligor


int main(int argc, char* argv[]){

	string filename = argv[1];
	cout << "loading " << filename << " with IGOR\n";

	calligor(filename);

	return 0;
}//end main

