/* aerunner.cpp - lastupdate 200612041220
Gregory Alan Hildstrom
Hildstrom Engineering
http://www.hildstrom.com

Runs the analysis engine on multiple input files
*/

#include<iostream>//for cout
#include<string>//for strings
#include<time.h>
using namespace std;


//global variables





//The main program function.
int main(int argc, char* argv[])
{
	//calculate start time
	time_t starttime;
	time(&starttime);
	cout << "starttime:\t" << starttime << endl;

	//cycle through 1 or more input files
	for(int filenumber=0; filenumber < argc-1; filenumber++){
		//build command line with filename enclosed in quotes
		string command = "ae \"";
		command.append(argv[filenumber+1]);
		command.append("\"");

		//run ae on file
		system(command.data());
		cout << "done\n";
	}//end for

	//calculate analysis time
	time_t endtime;
	time(&endtime);
	cout << "endtime:\t" << endtime << endl;
	cout << "elapsed seconds:\t" << endtime-starttime << endl;
	cout << "elapsed minutes:\t" << (float)(endtime-starttime)/60.0 << endl;


	//run external batch file after analyzing all data files
	//could zip output files or run slae
	system("aerunner-postanalysis.bat");

	return 0;
}//end main


